Subject: bug#34441: closed (Re: bug#34441: Wrong build log-file given by Berlin build farm)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Feb 2019 19:56:02 +0000

Your bug report

#34441: Wrong build log-file given by Berlin build farm

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34441: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34441
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34441: Wrong build log-file given by Berlin build farm
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Feb 2019 14:54:52 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Feb 12, 2019 at 04:12:43PM +0100, Ludovic Courtès wrote:
> Not a bug!  :-)
> 
> Due to fixed-output derivations, there can be several derivations
> mapping to a given output.  Here you just got the build log for one of
> the derivations that produces
> fmwazsg7rgdq7zlxmq3rviwab54gxw8f-qemu-minimal-2.10.2.
> 
> I hope that makes sense!

Okay, thanks for the explanation :)

Subject: Wrong build log-file given by Berlin build farm
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 11 Feb 2019 13:13:16 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

While looking into some issues with [email-masked] (used to test
GRUB), I found that I am receiving the incorrect log-file from the
Berlin build farm:

I am working from commit 8f9c5aa3ba33b025ac8d4edde4b4d9d649e05848 (gnu:
curl: Update to 7.64.0 [fixes CVE-2018-16890 and
CVE-2019-{3822,3823}].).

$ ./pre-inst-env guix build --no-grafts -e '(@@ (gnu packages virtualization) qemu-minimal-2.10)' --substitute-urls=https://berlin.guixsd.org
/gnu/store/fmwazsg7rgdq7zlxmq3rviwab54gxw8f-qemu-minimal-2.10.2
$ ./pre-inst-env guix build --no-grafts -e '(@@ (gnu packages virtualization) qemu-minimal-2.10)' --substitute-urls=https://berlin.guixsd.org -d
/gnu/store/6k7gpas81l6bb4ds7pdxr8c9k65292vz-qemu-minimal-2.10.2.drv
$ ./pre-inst-env guix build --no-grafts -e '(@@ (gnu packages virtualization) qemu-minimal-2.10)' --substitute-urls=https://berlin.guixsd.org --log-file                      
https://berlin.guixsd.org/log/fmwazsg7rgdq7zlxmq3rviwab54gxw8f-qemu-minimal-2.10.2

The log file shows that it belongs to a different derivation. Not to
mention that it describes a failed build:
------
TEST: tests/test-io-channel-socket... (pid=14521)
FAIL: tests/test-io-channel-socket
make: *** [/tmp/guix-build-qemu-minimal-2.10.2.drv-0/qemu-2.10.2/tests/Makefile.include:849: check-tests/test-io-channel-socket] Error 1

Test suite failed, dumping logs.
Backtrace:
           4 (primitive-load "/gnu/store/5s9z2df3l8dn85nn29534yrhz1q…")
In ice-9/eval.scm:
   191:35  3 (_ _)
In srfi/srfi-1.scm:
   863:16  2 (every1 #<procedure 802440 at /gnu/store/gfprsx2m62cvq…> …)
In /gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/gnu-build-system.scm:
   799:28  1 (_ _)
    369:6  0 (check #:target _ #:make-flags _ #:tests? _ # _ # _ # _)

/gnu/store/gfprsx2m62cvqbh7ysc9ay9slhijvmal-module-import/guix/build/gnu-build-system.scm:369:6: In procedure check:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "make" arguments: ("check") exit-status: 2 term-signal: #f stop-signal: #f] 640040>)'.
builder for `/gnu/store/mr5zvp4wrlyiwl125qpzc9np8gnmlm26-qemu-minimal-2.10.2.drv' failed with exit code 1
@ build-failed /gnu/store/mr5zvp4wrlyiwl125qpzc9np8gnmlm26-qemu-minimal-2.10.2.drv - 1 builder for `/gnu/store/mr5zvp4wrlyiwl125qpzc9np8gnmlm26-qemu-minimal-2.10.2.drv' failed with exit code 1
------